# std::experimental::basic_string_view::swap

From cppreference.com
< cpp‎ | experimental‎ | basic string view

constexpr void swap(basic_string_view& v); |  | (library fundamentals TS)

Exchanges the view with that of `v`.

### Parameters

v | - | view to swap with

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Constant.

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/basic_string_view/swap&oldid=91533"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template